headless lms

People in a community

GET /api/member/communities/{communityId}/directory. People in a community. Headless LMS Communities API reference.

GET
/api/member/communities/{communityId}/directory

For a member of the community: everyone who holds it, with their public profile. 404 when the viewer is not a member.

Path Parameters

communityId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string

Matches part of a display name

Lengthlength <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/communities/string/directory"
{  "rows": [    {      "orgUserId": "string",      "role": "string",      "displayName": "string",      "headline": "string",      "bio": "string",      "imageAssetId": "string",      "imageUrl": "string"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}